Package com.google.android.exoplayer2

## Class ExoPlayerLibraryInfo

- java.lang.Object
- - com.google.android.exoplayer2.ExoPlayerLibraryInfo

-     public final class ExoPlayerLibraryInfo
      extends Object

  Information about the media libraries.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static boolean` | `ASSERTIONS_ENABLED` | Whether the library was compiled with `Assertions` checks enabled.
    `static String` | `TAG` | A tag to use when logging library information.
    `static boolean` | `TRACE_ENABLED` | Whether the library was compiled with `TraceUtil` trace enabled.
    `static String` | `VERSION` | The version of the library expressed as a string, for example "1.2.3".
    `static int` | `VERSION_INT` | The version of the library expressed as an integer, for example 1002003.
    `static String` | `VERSION_SLASHY` | The version of the library expressed as `TAG + "/" + VERSION`.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `registeredModules()` | Returns a string consisting of registered module names separated by ", ".
    `static void` | `registerModule​(String name)` | Registers a module to be returned in the `registeredModules()` string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAG

          public static final String TAG

      A tag to use when logging library information.
      See Also:
        Constant Field Values

    - #### VERSION

          public static final String VERSION

      The version of the library expressed as a string, for example "1.2.3".
      See Also:
        Constant Field Values

    - #### VERSION_SLASHY

          public static final String VERSION_SLASHY

      The version of the library expressed as `TAG + "/" + VERSION`.
      See Also:
        Constant Field Values

    - #### VERSION_INT

          public static final int VERSION_INT

      The version of the library expressed as an integer, for example 1002003.

      Three digits are used for each component of `VERSION`. For example "1.2.3" has the corresponding integer version 1002003 (001-002-003), and "123.45.6" has the corresponding integer version 123045006 (123-045-006).

      See Also:
        Constant Field Values

    - #### ASSERTIONS_ENABLED

          public static final boolean ASSERTIONS_ENABLED

      Whether the library was compiled with `Assertions` checks enabled.
      See Also:
        Constant Field Values

    - #### TRACE_ENABLED

          public static final boolean TRACE_ENABLED

      Whether the library was compiled with `TraceUtil` trace enabled.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### registeredModules

          public static String registeredModules()

      Returns a string consisting of registered module names separated by ", ".

    - #### registerModule

          public static void registerModule​(String name)

      Registers a module to be returned in the `registeredModules()` string.
      Parameters:
        `name` - The name of the module being registered.